/*===================*/
/*1) Utilities*/
/*2) Buttons*/
/*3) Hero*/
/*4) Modal*/
/*5) Subscrube Form*/
/*6) More*/
/*7) Overlay*/
/*8) Countdown */
/*9) Switcher*/
/*===================*/
/*Utilities*/
html,
body {
    padding: 0;
    margin: 0;
}

body {
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
}

.clearfix {
    clear: both;
}

/*Buttons*/
.button {
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    font-family: Montserrat;
    font-size: 12px;
    letter-spacing: .2em;
    padding: 15px 30px;
    margin: 0 15px;
    min-width: 80px;
    color: #ffffff;
}

@media (max-width: 1170px) {
    .button {
        padding: 10px 20px;
        font-size: 8px;
    }
}

.subscribe-form .btn-solid,
.btn-solid {
    border: 2px solid #D1A149;
    background: #D1A149;
    color: #ffffff;
    transition: color .2s, background .2s, border .2s;
}

.subscribe-form .btn-solid:hover,
.btn-solid:hover {
    color: #fff;
    background: #575757;
    border: 2px solid #575757;
}

.subscribe-form .btn-ghost,
.btn-ghost {
    border: 2px solid #05adff;
    color: #ffffff;
    transition: color .2s, background .2s;
}

.subscribe-form .btn-ghost:hover,
.btn-ghost:hover {
    color: #ffffff;
    background: #05adff;
}

.btn-round {
    border-radius: 100px;
}

/*Hero*/
.hero {
    background: #333;
    background-size: cover;
    min-height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 100px 0;
    box-sizing: border-box;
    z-index: 1;
}

.hero .particles-js-canvas-el {
    position: fixed;
    display: none;
}

.hero:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.8);
}

.hero.active .particles-js-canvas-el {
    display: block;
}

.centered {
    z-index: 1;
}

.logo {
    margin: auto;
    display: block;
    width: 500px;
}

@media (max-width: 1170px) {
    .logo {
        width: 250px;
    }
}

.title {
    font-family: Montserrat;
    color: #ffffff;
    font-weight: 100;
    letter-spacing: .5em;
    padding: 0 0 0 .5em;
    text-align: center;
    text-transform: uppercase;
    font-size: 16px;
    margin-top: 20px;
}

@media (max-width: 1170px) {
    .title {
        font-size: 12px;
        margin-top: 15px;
    }
}

.heading {
    margin-top: 80px;
    color: #565656;
    font-family: Montserrat;
    font-size: 48px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: .3em;
    padding: 0 0 0 .3em;
    font-weight: 100;
}

@media (max-width: 1170px) {
    .heading {
        font-size: 32px;
        margin-top: 40px;
    }
}

@media (max-width: 480px) {
    .heading {
        font-size: 24px;
    }
}

.description {
    font-family: Montserrat;
    color: #565656;
    text-align: center;
    line-height: 2.5em;
    letter-spacing: .15em;
    max-width: 600px;
    font-weight:600
}

@media (max-width: 1170px) {
    .description {
        font-size: 13px;
        max-width: 500px;
    }
}

@media (max-width: 480px) {
    .description {
        font-size: 11px;
        width: 300px;
    }
}

.buttons {
    margin: 80px 0 0;
    text-align: center;
}

@media (max-width: 1170px) {
    .buttons {
        margin: 40px 0 0;
    }

    .buttons .button {
        margin-top: 10px;
    }
}

.social-text {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    width: 100vw;
    text-align: center;
}

.social-text a {
    color: #b3b3b3;
    text-decoration: none;
    text-transform: uppercase;
    font-family: Montserrat;
    font-size: 9px;
    letter-spacing: .2em;
    padding: 0 0 0 .2em;
    margin: 0 10px;
    transition: color .4s;
}

@media (max-width: 1170px) {
    .social-text a {
        font-size: 8px;
    }
}

.social-text a:hover {
    color: #ffffff;
}

/*Modal*/
.modal {
    position: fixed;
    border-radius: 7px;
    padding: 70px 0;
    position: absolute;
    top: -100vh;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    background: #ffffff;
    font-family: Raleway;
    max-width: 450px;
    text-align: center;
    transition: top .5s;
}

@media (max-width: 1170px) {
    .modal {
        padding: 50px 30px 30px;
        max-width: 300px;
    }
}

@media (max-width: 960px) {
    .modal {
        width: 80vw;
    }
}

.modal:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(51, 51, 51, 0.8);
    z-index: 1;
    border-radius: 5px;
}

.modal .content {
    z-index: 2;
    position: relative;
}

.modal p {
    padding: 0 50px;
    font-size: 14px;
    line-height: 2em;
    letter-spacing: .05em;
    color: #b3b3b3;
}

@media (max-width: 1170px) {
    .modal p {
        font-size: 12px;
        padding: 0;
    }
}

.modal h2 {
    color: #ffffff;
    font-size: 26px;
    text-align: center;
}

@media (max-width: 1170px) {
    .modal h2 {
        font-size: 18px;
    }
}

.modal .exit {
    position: absolute;
    top: 0;
    right: 0;
    padding: 10px;
    color: #ffffff;
    font-family: Open Sans;
    transform: rotate(45deg);
    font-size: 38px;
    width: 1em;
    height: 1em;
    text-align: center;
    line-height: 1em;
    cursor: pointer;
    z-index: 2;
    font-weight: 100;
    transition: color .2s;
}

.modal .exit:hover {
    color: #05adff;
}

/*Subscrube Form*/
.subscribe-form {
    display: block;
    padding-top: 40px;
    display: inline-block;
    margin: auto;
}

.subscribe-form input {
    font-size: 14px;
    font-family: Open Sans;
    border: none;
    height: 55px;
    display: block;
    width: 300px;
    margin: 0;
    box-sizing: border-box;
    padding: 0 20px;
    border-radius: 3px;
}

@media (max-width: 1170px) {
    .subscribe-form input {
        height: 50px;
        padding: 0 10px;
        width: 200px;
    }
}

.subscribe-form input:focus {
    outline: none;
}

.subscribe-form input[type="email"] {
    letter-spacing: .05em;
    color: gray;
    text-align: center;
    margin-bottom: 30px;
}

.subscribe-form input[type="submit"] {
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: .1em;
    cursor: pointer;
    margin-bottom: 30px;
}

.subscribe-form .response {
    display: block;
    color: rgba(255, 255, 255, 0);
    font-size: 12px;
    letter-spacing: .1em;
    transition: color .2s;
    max-width: 300px;
    margin: auto;
    line-height: 2em;
}

.subscribe-form .response a {
    color: gray;
}

.subscribe-form .response.active {
    color: #ffffff;
}

.modal-subscirbe {
    background: url(../img/subscribe-background.jpg) center;
    background-size: cover;
}

.modal-subscirbe.open {
    top: 50%;
}

/*More*/
.more {
    width: 50vw;
    height: 100vh;
    position: fixed;
    top: 0;
    right: -50vw;
    z-index: 2;
    background: #ffffff;
    box-sizing: border-box;
    color: #000000;
    overflow-y: scroll;
    transition: right .5s, background .2s;
}

@media (max-width: 960px) {
    .more {
        width: 100vw;
        right: -100vw;
    }
}

@media (max-width: 480px) {
    .more {
        padding: 50px 0;
    }
}

.more.open {
    right: 0;
}

.more .exit {
    position: absolute;
    top: 0;
    right: 0;
    padding: 10px;
    color: #000000;
    font-family: Open Sans;
    transform: rotate(45deg);
    font-size: 38px;
    width: 1em;
    height: 1em;
    text-align: center;
    line-height: 1em;
    cursor: pointer;
    font-weight: 100;
    transition: color .2s;
}

.more .exit:hover {
    color: #05adff;
}

.more-heading {
    margin: 0;
    text-align: center;
    font-family: Righteous;
    font-size: 38px;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: .5em;
    margin-top: 100px;
}

.more-heading:first-letter {
    color: #05adff;
}

@media (max-width: 480px) {
    .more-heading {
        font-size: 24px;
    }
}

.more-sub-heading {
    margin: 0;
    margin-top: 50px;
    text-align: center;
    font-family: Righteous;
    font-size: 26px;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: .3em;
}

@media (max-width: 480px) {
    .more-sub-heading {
        font-size: 18px;
    }
}

.more-description {
    margin: 0 auto;
    margin-top: 40px;
    width: 70%;
    font-family: Open Sans;
    line-height: 2em;
    letter-spacing: .07em;
    text-align: center;
    font-size: 14px;
}

@media (max-width: 480px) {
    .more-description {
        font-size: 12px;
    }
}

.more .portfolio {
    height: 50vw;
    margin-top: 50px;
    color: #ffffff;
}

@media (max-width: 960px) {
    .more .portfolio {
        height: 100vw;
    }
}

@media (max-width: 480px) {
    .more .portfolio {
        height: 400vw;
    }
}

.more .portfolio .work {
    overflow: hidden;
    width: 50%;
    height: 25vw;
    background: url(../img/work1.jpg) center/cover no-repeat;
    float: left;
    position: relative;
}

@media (max-width: 960px) {
    .more .portfolio .work {
        height: 50vw;
    }
}

@media (max-width: 480px) {
    .more .portfolio .work {
        width: 100vw;
        height: 100vw;
    }
}

.more .portfolio .work:nth-child(2) {
    background: url(../img/work2.jpg) center/cover no-repeat;
}

.more .portfolio .work:nth-child(3) {
    background: url(../img/work3.jpg) center/cover no-repeat;
}

.more .portfolio .work:nth-child(4) {
    background: url(../img/work4.jpg) center/cover no-repeat;
}

.more .portfolio .work:hover .work-card {
    bottom: 0;
}

.more .portfolio .work:hover .work-card:after {
    width: 20vw;
    height: 20vw;
}

.more .portfolio .work-card {
    background: rgba(5, 173, 255, 0.7);
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: -25vw;
    left: 0;
    margin: 0;
    text-transform: uppercase;
    font-family: Montserrat;
    font-size: 22px;
    letter-spacing: .2em;
    transition: bottom .4s;
    position: relative;
}

@media (max-width: 960px) {
    .more .portfolio .work-card {
        bottom: -50vw;
    }
}

@media (max-width: 480px) {
    .more .portfolio .work-card {
        bottom: -100vw;
        font-size: 18px;
    }
}

.more .portfolio .work-card:before {
    content: '';
    position: absolute;
    display: block;
    width: 80%;
    height: 80%;
    border: 1px solid #ffffff;
    top: 10%;
    left: 10%;
}

.more .portfolio .work-card .content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.more .portfolio .work-card .content a {
    padding: 3px;
    font-size: 14px;
    color: #ffffff;
    transition: color .2s;
}

.more .portfolio .work-card .content a:hover {
    color: #e6e6e6;
}

.more .contact-form {
    width: 70%;
    margin: 50px auto 0;
}

.more .contact-form label {
    font-family: Open Sans;
    font-size: 12px;
    letter-spacing: .15em;
    display: block;
    font-weight: 600;
}

.more .contact-form label:first-letter {
    color: #05adff;
}

.more .contact-form input,
.more .contact-form textarea {
    margin-top: 10px;
    width: 100%;
    display: block;
    background: #e6e6e6;
    border: none;
    min-height: 40px;
    box-sizing: border-box;
    padding: 10px;
    color: #000000;
    letter-spacing: .1em;
    font-family: Open Sans;
    font-size: 12px;
}

.more .contact-form input:focus,
.more .contact-form textarea:focus {
    outline: none;
}

.more .contact-form .name,
.more .contact-form .email {
    float: left;
    width: 45%;
}

@media (max-width: 480px) {

    .more .contact-form .name,
    .more .contact-form .email {
        width: 100%;
        margin-bottom: 20px;
    }
}

.more .contact-form .message {
    width: 100%;
    margin-top: 10px;
}

.more .contact-form .name {
    margin-right: 10%;
}

.more .contact-form .submit {
    margin-top: 30px;
}

.more .contact-form .submit input {
    background: #05adff;
    text-transform: uppercase;
    font-family: Montserrat;
    letter-spacing: .2em;
    transition: background .2s;
    cursor: pointer;
    color: #ffffff;
}

.more .contact-form .submit input:hover {
    background: #007bb7;
}

.more .contact-form .contact-result {
    font-family: Open Sans;
    font-size: 13px;
    letter-spacing: .1em;
    text-align: center;
    transition: color .2s;
    color: rgba(255, 255, 255, 0);
}

.more .contact-form .contact-result.submited {
    color: #05adff;
}

.more .info {
    margin-top: 50px;
    list-style-type: none;
    text-align: center;
    padding: 0;
    margin-bottom: 50px;
}

.more .info-block {
    display: inline-block;
    padding: 0 20px;
    font-family: Open Sans;
    font-size: 14px;
    letter-spacing: 0.05em;
    line-height: 1em;
}

@media (max-width: 480px) {
    .more .info-block {
        display: block;
        margin-bottom: 50px;
        font-size: 12px;
    }
}

.more .info-block i {
    font-size: 28px;
    margin-bottom: 20px;
    color: #05adff;
}

@media (max-width: 480px) {
    .more .info-block i {
        font-size: 20px;
    }
}

/*Overlay*/
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: transparent;
    z-index: 0;
    transition: background .5s, z-index 0s .5s;
}

.overlay.on {
    z-index: 1;
    background: rgba(0, 0, 0, 0.6);
    transition: background .5s, z-index 0s;
}

/*Countdown*/
.countdown {
    display: none;
    text-align: center;
}

.countdown.active {
    display: block;
}

.countdown .count-box {
    display: inline-block;
    text-align: center;
    color: #ffffff;
    margin: 10px 30px;
}

.countdown .count-box:first-child {
    margin: 10px 30px 10px 0;
}

.countdown .count-box:last-child {
    margin: 10px 0 10px 30px;
}

@media (max-width: 480px) {
    .countdown .count-box {
        width: 50%;
        margin: 20px 0 !important;
    }
}

.countdown .count-box .countdown-num {
    font-size: 42px;
    font-family: Montserrat;
    margin: 0;
}

.countdown .count-box .countdown-word {
    font-family: Montserrat;
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: .15em;
}

.countdown .count-box .countdown-word:first-letter {
    color: #05adff;
}

/*Switcher*/
.switcher {
    width: 40px;
    height: 40px;
    position: fixed;
    top: 0;
    left: 0;
    background: #ffffff;
    line-height: 40px;
    text-align: center;
    font-size: 22px;
    color: #333;
    z-index: 999999;
    cursor: pointer;
    transition: left .2s;
}

@media (max-width: 480px) {
    .switcher {
        width: 20px;
        height: 20px;
        line-height: 20px;
        font-size: 15px;
    }
}

.switcher.active {
    left: 300px;
}

.switcher:hover i {
    color: #05adff;
}

.switcher i {
    animation: role 3s infinite linear;
    transition: color .5s;
}

.toolkit {
    position: fixed;
    top: 0;
    left: -300px;
    width: 300px;
    z-index: 999999;
    height: 100vh;
    background: #ffffff;
    box-sizing: border-box;
    padding: 15px 40px;
    overflow-y: auto;
    transition: left .2s;
}

.toolkit.active {
    left: 0;
}

.toolkit .logo {
    padding: 30px 0;
}

.toolkit-title {
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 300;
    color: #333;
    margin-bottom: 25px;
}

.toolkit .hr {
    width: 100%;
    height: 1px;
    background: #f2f2f2;
    margin: 25px 0;
}

.toolkit .color-list {
    padding: 0;
    list-style-type: none;
}

.toolkit .color-list li {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    box-sizing: border-box;
    cursor: pointer;
}

.toolkit .color-list-blue {
    background: #05adff;
}

.toolkit .color-list-green {
    background: #40e699;
    margin: 0 5px 0 10px;
}

.toolkit .color-list-red {
    background: #ff3333;
    margin: 0 5px 0 5px;
}

.toolkit .color-list-yellow {
    background: #ffd633;
    margin: 0 10px 0 5px;
}

.toolkit .color-list-purple {
    background: #69428b;
}

.toolkit .background-switcher,
.toolkit .timer-switcher,
.toolkit .particles-switcher {
    padding: 0;
    list-style-type: none;
    width: 150px;
}

.toolkit .background-switcher li,
.toolkit .timer-switcher li,
.toolkit .particles-switcher li {
    background: #f2f2f2;
    box-sizing: border-box;
    height: 40px;
    width: 70px;
    float: left;
    text-align: center;
    line-height: 40px;
    text-transform: uppercase;
    font-family: Montserrat;
    font-size: 10px;
    letter-spacing: .15em;
    color: #b3b3b3;
    cursor: pointer;
    transition: color .2s, background .5s;
}

.toolkit .background-switcher li:hover,
.toolkit .timer-switcher li:hover,
.toolkit .particles-switcher li:hover {
    color: #000000;
}

.toolkit .background-switcher li.active,
.toolkit .timer-switcher li.active,
.toolkit .particles-switcher li.active {
    background: #05adff;
    color: #ffffff;
}

.toolkit .background-switcher li:first-child,
.toolkit .timer-switcher li:first-child,
.toolkit .particles-switcher li:first-child {
    border-radius: 50px 0 0 50px;
}

.toolkit .background-switcher li:nth-child(2),
.toolkit .timer-switcher li:nth-child(2),
.toolkit .particles-switcher li:nth-child(2) {
    border-radius: 0 50px 50px 0;
}

.toolkit .versions {
    list-style-type: none;
    padding: 0;
}

.toolkit .versions li {
    font-family: Montserrat;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 2.5em;
    letter-spacing: .1em;
}

.toolkit .versions li a {
    color: #a6a6a6;
    text-decoration: none;
    transition: color .2s;
}

.toolkit .versions li a:hover {
    color: #1a1a1a;
}

@keyframes role {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
